definition module Internet.HTTP.GenJSON

from Text.GenJSON import generic JSONEncode, generic JSONDecode, :: JSONNode

from Internet.HTTP import
	:: HTTPMethod, :: HTTPRequestHeader, :: HTTPRequest, :: HTTPProtocol, :: HTTPResponse, :: HTTPResponseHeader,
	:: HTTPUpload

derive JSONEncode HTTPMethod
derive JSONEncode HTTPRequestHeader
derive JSONEncode HTTPRequest
derive JSONEncode HTTPProtocol
derive JSONEncode HTTPResponse
derive JSONEncode HTTPResponseHeader
derive JSONEncode HTTPUpload
derive JSONDecode HTTPMethod
derive JSONDecode HTTPRequestHeader
derive JSONDecode HTTPRequest
derive JSONDecode HTTPProtocol
derive JSONDecode HTTPResponse
derive JSONDecode HTTPResponseHeader
derive JSONDecode HTTPUpload
